--传送点触发 
--楼兰客栈大厅-楼兰客栈夏侯房间 
--global.CallScript(7208)

function m011_8()

	--开始剧情 
	func_start(6847,7232,0,1)	
	--修改旗标 
	flag.SetValue(6001,115)

	local	i

	--播放音乐 GS16
	global.PlayMusic(166,100,3000)		
	
	--切地图 
	-- 楼兰室内  夏侯客房
	player.SetPos(1621,1143)
	
	
	--npc建立  
	--夏侯澜辉
	npc.CreateFloat(1,1,1698,17,1065)
	npc.SetAt(1,0,1)
	npc.SetAnim(1,215)
	--瑕	
	npc.CreateFloat(2,2,1682,3,1074)
	npc.SetAtPos(2,1698,1065)		
	npc.SetHeadRot(2,0,10)
	--暮菖兰 
	npc.Create(4,4,543,1245)
	npc.SetAt(4,1,1)		
	--辉玉 
	npc.CreateFloat(249,11,1688,19,1073)
	npc.SetAt(11,-1,0)
	npc.SetVisible(11,0)
	
camera.ChangeCameraStatic(1730,50,1164,1683,31,1078)
camera.ResetLerp(18000)
camera.ChangeCameraStatic(1721,48,1150,1680,26,1061)
effect.FadeIn(1,0.3)
global.Wait(4)
npc.SetAnim(2,203,2)
global.Wait(4)
npc.SetAnim(2,218)
global.Wait(4)
npc.SetAnim(2,207,2)
global.Wait(3)
	
	--镜头1 
	-- 特写夏侯 拉远  
	camera.ResetLerp(0)		
 	camera.ChangeCameraStatic(1699,46,1105,1685,2,1017)
	--淡入 
	effect.FadeIn(1,1)
	global.Wait(2)

	npc.SetHeadRot(1,20,0,1,80)
	global.Wait(1)
	npc.SetHeadRot(1,0,0,1,80)
	global.Wait(1)
	
	npc.SetHeadRot(2,20,15,1,80)
	global.Wait(1.5)
	
	--拉镜头 
	camera.ResetLerp(3000)		
	camera.ChangeCameraStatic(1671,48,1096,1716,8,1016)	
	global.Wait(1)
	--夏侯坐起来  
	npc.SetAnim(1,223)
	global.Wait(0.5)
	npc.SetHeadRot(2,0,10,0,60)
	global.WaitForNpcAnim(1,223)
	npc.SetAnim(1,224)
	global.Wait(1)
	ui.Dialog(78422,520,2,1,0,0)--……这里是？
	
	
	ui.Dialog(78423,186,0,2,0,0)--太好了，你可算是醒过来了，我还担心你会一直睡不醒呢！

	--夏侯看向瑕 
	npc.SetHeadRotTo(1,2,1,80)
	global.Wait(0.5)
	
	ui.Dialog(78424,523,2,1,0,0)	--微惊--瑕姑娘？你、你没事吧？那个楼兰王呢？
	
	
	
	
	
	--镜头2 
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(1716,33,1073,1619,38,1050)	
	camera.ResetLerp(25000)
	camera.ChangeCameraStatic(1714,33,1078,1621,38,1041)		
	global.Wait(0.5)	
	
	ui.Dialog(78425,192,0,2,0,0)	--微笑 --呵呵，那个楼兰王已经被咱们消灭了，我这不也是好好的吗。你啊，还是先担心自己吧。
	ui.Dialog(78426,522,2,1,0,0)--我……我记得当时那个楼兰王猛地冲过来……然后……
	ui.Dialog(78427,182,0,2,0,0)	--微笑--然后，你傻乎乎的就被楼兰王给附身了，接着又被我们大家揍了一顿。
	global.Wait(1.5)
	ui.Dialog(78428,523,2,1,0,0)		--茫然--啊？
	
	--夏侯低头 
	-- npc.SetHeadRot(1,0,40,1,80)
		global.Wait(1)
	npc.SetHeadRot(1,0,20,1,90)
	ui.Dialog(78429,531,2,1,0,0)	--痛苦--呃！！

	--瑕察看夏侯  
	npc.SetAnimSpeed(2,50)
	npc.SetAnim(2,222)
	npc.SetAnimSpeed(2,100)
	npc.SetHeadRot(2,0,-30,50)			
	global.Wait(1)
	
	ui.Dialog(78430,197,0,2,0,0)--怎么了！？
	
	--夏侯看向瑕  
	npc.SetHeadRotTo(1,2,1,80)
	global.Wait(0.5)	
	
	ui.Dialog(78431,516,2,1,0,0)--没什么，头突然晕了一下——
    ui.Dialog(78432,199,0,2,0,0)--是不是我们下手太重了？唉呀你这个笨蛋，干嘛要帮我挡那一下啊！反正我就算挨打了也不会觉得疼。
	ui.Dialog(78433,197,0,2,0,0)--我看看——

	-- 瑕用手模夏侯额头  
	npc.SetHeadRot(2,0,0,1,50)
	global.Wait(1)
	npc.SetAnimSpeed(2,25)
	npc.SetAnim(2,254)
	npc.SetAnimSpeed(2,100)
	global.Wait(1)

	ui.Dialog(78434,196,0,2,0,0)--恩……也并不发热啊……
	global.Wait(1)
	ui.Dialog(78435,536,2,1,0,0)	--不好意思--呃……
	global.Wait(0.5)
	
	-- 瑕吃惊 
	-- npc.SetHeadRot(2,0,0,1)			
	npc.SetAnimSpeed(2,50)
	npc.SetAnim(2,200)
	npc.SetAnimSpeed(2,100)
	npc.SetHeadRot(2,0,10,1)			
	global.Wait(1)

	ui.Dialog(78436,184,0,2,0,0)	--脸红--啊！

    camera.ResetLerp(25000)
	camera.ChangeCameraStatic(1728,34,1075,1629,26,1063)

	-- 瑕摆手  
	npc.SetAnim(2,206,2)
	global.Wait(2)

	ui.Dialog(78437,184,0,2,0,0)	--慌乱 --那个，呃——对了，其实我们下手也没有多狠……还有凌波道长也给你用法术疗伤……还有皇甫卓那家伙也给你用了好多伤药……
 	npc.SetHeadRot(2,20,-10,1,60)
 	global.Wait(1)
 	npc.SetHeadRot(2,-20,15,1,60)
 	global.Wait(1)
 	npc.SetHeadRot(2,0,10,1)
	ui.Dialog(78438,184,0,2,0,0)	--慌乱 --还有暮姐姐说你是什么富贵命死不了，还有姜小哥，他也过来看了好几次，还有那个——
	global.Wait(1)

	-- 瑕生气 
--	npc.SetHeadRot(2,0,0,0,100)
	npc.SetAnimSpeed(2,50)
	npc.SetAnim(2,210)
	npc.SetAnimSpeed(2,100)
	global.Wait(1.5)

	ui.Dialog(78439,184,0,2,0,0)--（我在说什么啊，怎么管不住自己的嘴巴了！）
	global.Wait(1)
	
	--瑕沉默 
	npc.SetAnimSpeed(2,50)
	npc.SetAnim(2,209)
	npc.SetAnimSpeed(2,100)
	global.Wait(1)
	
	ui.Dialog(78440,184,0,2,0,0)	--总、总之……你没事就好！
	
	
	
	
	--镜头3 
	--npc位置  
	npc.SetPos3D(2,1680,2,1075)
	--面向夏侯  
	camera.ResetLerp(0)		
 camera.ChangeCameraStatic(1686,39,1102,1684,19,1004)
	camera.ResetLerp(30000)
camera.ChangeCameraStatic(1670,42,1101,1711,11,1015)
	global.Wait(0.5)	
	
	ui.Dialog(78441,523,2,1,0,0)	--小惊--……
	ui.Dialog(78442,184,0,2,0,0)	--脸红--……
	global.Wait(1)
	
	npc.SetHeadRot(1,40,25,1,40)
	global.Wait(2)
	
	ui.Dialog(78443,522,2,1,0,0)--（不会疼……？）
	
	npc.SetHeadRotTo(1,2,1,60)
    global.Wait(1)
	ui.Dialog(78444,526,2,1,0,0)--那个，瑕姑娘，你刚才说，你挨打也不觉得疼？是不是身体……
	npc.SetAnim(2,243,2)
	global.Wait(1)
	ui.Dialog(78445,185,0,2,0,0)	--察觉到说错话--——啊？！
	npc.SetAnim(2,224,2)
	global.Wait(1)
	ui.Dialog(78446,199,0,2,0,0)--什么事都没有！
	global.Wait(1)
	ui.Dialog(78447,523,2,1,0,0)--……？
	global.Wait(1)
	npc.SetAnim(2,206,2)
	global.Wait(1.5)
	ui.Dialog(78448,185,0,2,0,0)--呃……我是说，我从小走江湖，哪像你这么娇贵，就算挨几下打也不会怎么样。
	global.Wait(1.5)
	npc.TurnTo(2,0,1)
	npc.SetAnim(2,234,1)
	npc.SetAnim(2,235)
	global.Wait(0.5)
	ui.Dialog(78449,188,0,2,0,0)--你这人，自己冲出来找打，不是成心让我欠你吗？笨蛋……
	global.Wait(1.5)
	
	-- 夏侯头转向墙内 
	npc.SetHeadRot(1,40,25,1,80)
	global.Wait(0.5)

	ui.Dialog(78450,536,2,1,0,0)--呵呵——

	-- 瑕争吵 
	npc.TurnToNpc(2,1,1)
	npc.SetAnimSpeed(2,50)
	npc.SetAnim(2,245)
	npc.SetAnimSpeed(2,100)
	global.Wait(0.5)

	ui.Dialog(78451,739,0,2,0,0)	--你、你笑什么笑！
	ui.Dialog(78452,521,2,1,0,0)--……
	ui.Dialog(78453,739,0,2,0,0)		--不许笑！乌鸦嘴！再笑、再笑我就再给你几下——

	-- 夏侯转向瑕
	npc.SetHeadRotTo(1,2,1,70)
	global.Wait(0.5)
	
	ui.Dialog(78454,521,2,1,0,0)--嗯、嗯——瑕姑娘，在下失礼了。
	global.Wait(0.5)
	
	
	
	
	--镜头4 
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(1718,36,1074,1621,22,1056)	
	camera.ResetLerp(12000)		
	camera.ChangeCameraStatic(1721,37,1082,1630,23,1042)		
	global.Wait(0.5)		
	-- 瑕沉默
	npc.SetAnimSpeed(2,50)
	npc.SetAnim(2,209)
	npc.SetAnimSpeed(2,100)
	global.Wait(1)

	ui.Dialog(78455,183,0,2,0,0)	--不好意思--……
	global.Wait(1)
	ui.Dialog(78456,526,2,1,0,0)--瑕姑娘？
	ui.Dialog(78457,184,0,2,0,0)--那个……你救了我，我该跟你道谢才对……
	ui.Dialog(78458,515,2,1,0,0)--瑕姑娘此言差矣。
	ui.Dialog(78459,521,2,1,0,0)--当时情景，换做他人，也定然会如此做。而我身为男子，当然要保护你这姑娘家，何谈言谢？

	-- 瑕笑 
	npc.SetAnim(2,211,2)
	global.Wait(1)

	ui.Dialog(78460,192,0,2,0,0)--少来了，这一路是谁保护谁比较多啊？
	global.Wait(1)
	ui.Dialog(78461,524,2,1,0,0)	--尴尬--这……
	ui.Dialog(78462,191,0,2,0,0)	--得意--哈哈，还是我保护你比较多吧，看你以后还敢笑我～
	ui.Dialog(78463,524,2,1,0,0)--是、是，下次定然不敢了。
	ui.Dialog(78464,192,0,2,0,0)		--啊，对了，还有一件事。

	-- 瑕调查 
	npc.SetHeadRot(1,-25,25,0,40)
	npc.SetAnim(2,203,1)
	
	

	
	--镜头5
	--npc位置 
	-- npc.SetPos(2,1674,1086)
	npc.SetVisible(11,1)
	-- 俯视、向床边，玉在画面中间很醒目的位置 
	camera.ResetLerp(0)		
camera.ChangeCameraStatic(1693,36,1089,1665,-36,1027)
	global.Wait(2)

	ui.Dialog(78465,192,0,2,0,0)		--这个……给你。
 camera.ChangeCameraStatic(1671,43,1100,1716,6,1019)
 
	global.Wait(2)
 	npc.SetHeadRotTo(1,2,1,70)
	ui.Dialog(78466,523,2,1,0,0)--……瑕姑娘这是何意？
	
	--瑕沉默 
	npc.SetAnimSpeed(2,50)
	npc.SetAnim(2,209)
	npc.SetAnimSpeed(2,100)
	
	ui.Dialog(78467,183,0,2,0,0)--我向暮姐姐打听过，你的那块“羊脂白玉坠”贵得很，根本不是我当几天保镖就能抵消得了的。
	ui.Dialog(78468,182,0,2,0,0)--这是我捡到的，暮姐姐也不知道是什么石头，不过它挺好看的，应该不便宜。




	
	
	
	--镜头6 
	camera.ResetLerp(0)		
 camera.ChangeCameraStatic(1726,36,1086,1636,20,1046)
	camera.ResetLerp(25000)
 camera.ChangeCameraStatic(1720,35,1084,1630,22,1044)
	global.Wait(2)

	ui.Dialog(78469,183,0,2,0,0)	--不好意思--……我绑了个坠，那个……你先拿着吧！
 npc.SetHeadRot(1,-25,25,1,70)
	global.Wait(2)
	ui.Dialog(78470,523,2,1,0,0)--……
	global.Wait(1)
	npc.SetHeadRotTo(1,2,1,70)
	ui.Dialog(78471,515,2,1,0,0)--瑕姑娘。
	
	--瑕恢复 
	npc.SetHeadRot(2,0,10)	
	npc.SetAnimSpeed(2,50)
	npc.SetAnim(2,200)	
	npc.SetAnimSpeed(2,100)
	
	ui.Dialog(78472,182,0,2,0,0)--嗯？
	ui.Dialog(78473,522,2,1,0,0)--说到以玉赠人，也还有不同蕴意。男子间互赠，就如皇甫兄送玉给我，一般取“君子比德于玉”之意，乃是二人友谊的见证。
	ui.Dialog(78474,536,2,1,0,0)--而女子赠玉给男子，则……
	ui.Dialog(78475,182,0,2,0,0)--什么？
	global.Wait(1)
	 npc.SetHeadRot(1,25,10,1,70)
	ui.Dialog(78476,536,2,1,0,0)--…我、我忘记了……呵呵……
	
	--瑕生气 
	npc.SetHeadRot(2,0,5)
	npc.SetAnimSpeed(2,50)
	npc.SetAnim(2,245)
	npc.SetAnimSpeed(2,100)
	global.Wait(1)
	
	ui.Dialog(78477,198,0,2,0,0)	--怀疑--嗯～？真的？我怎么觉得你好像在骗我呢～?
	npc.SetHeadRotTo(1,2,1,80)
	ui.Dialog(78478,524,2,1,0,0)--没、没有啊，在下真的是想不起来了……
	ui.Dialog(78479,739,0,2,0,0)--可疑～
	
	global.Wait(1)
	player.AddMagic(3036)
	ui.Message(170706)--夏侯瑾轩习得被动绝技：瑾
	global.Wait(1)

	--速度变慢
	npc.SetAnimSpeed(2,5)
	npc.SetAnim(2,245)	
	
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(1725,48,1161,1671,27,1079)
	camera.ResetLerp(20000)
	camera.ChangeCameraStatic(1744,52,1193,1684,38,1114)
	-- global.Wait(10)
	
	--诗词特效	
	-- global.WaitForCameraLerp()
	global.Wait(4)
	npc.SetHeadRot(1,20,20,0,60)
	global.Wait(2)
	global.CreateCameraSE(1,3892)
	global.Wait(2)
	npc.SetAnimSpeed(2,50)
	npc.SetAnim(2,200)
	global.Wait(1)
	npc.SetAnimSpeed(2,100)
--	npc.SetAnim(2,243,1)
	npc.TurnTo(2,0,1)
	npc.SetAnimSpeed(2,50)
	npc.SetAnim(2,234,1)
	npc.SetAnim(2,235)
	npc.SetAnimSpeed(2,100)
	global.Wait(5)
	npc.SetHeadRotTo(1,2,1,40)
	
	global.Wait(30)
	
	
	-- ui.Message(78480)--Flash诗词
	-- global.PlayFlash(3826,0)
	-- global.CreateCameraSE(2,,1)
	-- 东风夜放花千树，更吹落，星如雨。宝马雕车香满路，凤箫声动，玉壶光转，一夜鱼龙舞。
	-- 蛾儿雪柳黄金缕，笑语盈盈暗香去。众里寻他千百度，蓦然回首，那人却在灯火阑珊处。
	--淡出 
	effect.FadeOut(1,1)
	global.Wait(1)
	global.ClearCameraSE()
	npc.SetAnimSpeed(2,100)	
	global.Wait(2.5)
	
	
	
	
	
	--镜头7
	player.SetPos(543,1245)
	-- 房间外 
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(602,148,1231,508,131,1262)		
	--淡出 
	wt(1)
	effect.FadeIn(1,1)
	global.Wait(1)
	-- 暮菖兰笑 
	npc.SetAnim(4,232,2)
	global.Wait(1)

	ui.Dialog(78481,711,2,4,0,0)--呵……
	global.Wait(1)
	ui.Dialog(78482,709,2,4,0,0)--（我也回房休息吧，可别惊扰到他们，呵呵……）
	global.Wait(1)

	-- 暮菖兰离开 
	npc.MoveTo(4,454,1226)
	

	--清理npc 恢复转头 

	effect.FadeOut(1,1)
	--音乐渐停
	global.MusicFadeIn(2000,100,0)		
	global.Wait(2)
	--播放音乐 cj02
	global.PlayMusic(62,100,3000)			

	for	i=1,10,1
		do 
		npc.SetHeadRot(i,0,0)
		end

	global.Wait(0.5)
	
	for i=1,20,1
		do
		npc.Destroy(i)
		end		
		
	npc.Destroy(200)	
		
	player.SetAt(0,-1)
	
	
--删除上一个任务
ui.FinishQuest(545)
--添加任务
ui.AddQuest(546)	
	
	func_end(410,1213,1,1)				
	
	
end










